%global momorel 1
%global with_lame 1
%global md5sum_src0 4a43a44adcfbec398a91c56d1edcbdc1

Summary: A library for manipulating QuickTime files
Name: libquicktime
Version: 1.0.2
Release: %{momorel}m%{?dist}
License: GPLv2 and LGPL
URL: http://libquicktime.sourceforge.net/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: alsa-lib-devel
BuildRequires: faac-devel
BuildRequires: faad2-devel
BuildRequires: gtk2-devel
BuildRequires: ffmpeg-devel
%if %{with_lame}
BuildRequires: lame-devel
%endif
BuildRequires: libICE-devel
BuildRequires: libXaw-devel
BuildRequires: libXv-devel
BuildRequires: libdv-devel
BuildRequires: libjpeg-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libvorbis-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: pkgconfig
BuildRequires: x264-devel

%description
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.

%package devel
Summary: Header files and static libraries from libquicktime
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on libquicktime.

%prep
%setup -q

%build
%configure \
%ifarch x86_64
	--with-pic \
%endif
%if ! %{with_lame}
	--without-lame \
%endif
	--enable-gpl

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

# clean up
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/libquicktime_config
%{_bindir}/lqt*
%{_bindir}/qt*
%dir %{_libdir}/libquicktime
%{_libdir}/libquicktime/lqt_audiocodec.*
%{_libdir}/libquicktime/lqt_dv.*
%{_libdir}/libquicktime/lqt_faac.*
%{_libdir}/libquicktime/lqt_faad2.*
%{_libdir}/libquicktime/lqt_ffmpeg.*
%if %{with_lame}
%{_libdir}/libquicktime/lqt_lame.*
%endif
%{_libdir}/libquicktime/lqt_mjpeg.*
%{_libdir}/libquicktime/lqt_png.*
%{_libdir}/libquicktime/lqt_rtjpeg.*
%{_libdir}/libquicktime/lqt_videocodec.*
%{_libdir}/libquicktime/lqt_vorbis.*
%{_libdir}/libquicktime/lqt_x264.*
%{_libdir}/libquicktime.so.*
%{_datadir}/locale/*/LC_MESSAGES/libquicktime.mo
%{_mandir}/man1/lqtplay.1*

%files devel
%defattr(-,root,root)
%doc doc/apiref
%{_includedir}/lqt
%{_libdir}/pkgconfig/libquicktime.pc
%{_libdir}/libquicktime.so
%{_datadir}/aclocal/lqt.m4

%changelog
* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-1m)
- initial package for mlt
- Summary and %%description are imported from cooker
